<?php

namespace App\Forms;

use Nette,
	Nette\Application\UI\Form,
	App\Model\ConfigManager,
	App\Presenters\ConfigPresenter;


class CurrencyFormFactory extends Nette\Object
{
	/** @var ConfigManager */
	private $configManager;			
	
	public function __construct(ConfigManager $configManager)
	{
		$this->configManager = $configManager;
	}


	/**
	 * @return Form
	 */
	 
	public function create()
	{
		$form = new Form;			

		$currency = $this->configManager->getCurrency();

		$form->addText('currency', 'Currency:');
		$form['currency']->setValue($currency->sale_currency);

		$form->addSubmit('submit', 'Save currency');
		
		$form->onSuccess[] = array($this, 'formSucceeded');
		
		return $form;
	}


	public function formSucceeded($form, $values)
	{
		try {
			$this->configManager->editCurrency($values->currency);
		} catch (\Exception $e) {
			$form->addError("Something went wrong. Please, try it again.");	
		}
	}
}
