<?php

namespace App\Forms;

use Nette,
	Nette\Application\UI\Form,
	App\Model\ConfigManager,
	App\Presenters\ConfigPresenter;


class ReportFormFactory extends Nette\Object
{
	/** @var ConfigManager */
	private $configManager;			
	
	public function __construct(ConfigManager $configManager)
	{
		$this->configManager = $configManager;
	}


	/**
	 * @return Form
	 */
	 
	public function create()
	{
		$form = new Form;			

		$form->addButton('last_month', 'Last Month')
			->setAttribute('class', 'first');

		$form->addButton('current_month', 'Current Month')
			->setAttribute('class', 'first');

		$form->addText('from', 'From:')
			->setType('date');

		$form->addText('to', 'To:')
			->setType('date');

		$form->addButton('date_range', 'Date Range')
			->setAttribute('class', 'first');
		
		return $form;
	}

}
