<?php

namespace App\Forms;

use Nette,
	Nette\Application\UI\Form,
	App\Model\EventManager;


class VipFormFactory extends Nette\Object
{
	/** @var EventManager */
	private $eventManager;	

	/** @var Nette\Http\Request */
    private $httpRequest;			
	
	public function __construct(EventManager $eventManager, Nette\Http\Request $httpRequest)
	{
		$this->eventManager = $eventManager;
		$this->httpRequest = $httpRequest;
	}


	/**
	 * @return Form
	 */
	public function create()
	{
		$form = new Form;

		$form->addHidden('json');

		$form->addSubmit('submit', 'Save VIP seats');
		
		$form->onSuccess[] = array($this, 'formSucceeded');
		return $form;
	}


	public function formSucceeded($form, $values)
	{
		try {
			$this->eventManager->createVip($values->json, $this->httpRequest->getQuery('event_id'));	
		} catch (\Exception $e) {
			$form->addError("Something went wrong. Please, try it again.");	
		}
	}

}
