<?php

namespace App\Model;

use Nette,
	Nette\Security\User;


/**
 * Cron management.
 */
class CronManager extends Nette\Object
{

	/** @var Nette\Database\Context */
	private $database;


	public function __construct(Nette\Database\Context $database)
	{
		$this->database = $database;
	}


	public function checkReservations()
	{
		$this->database->query('
			UPDATE reservations
			JOIN reservations_seats ON reservations_seats_reservations_id = id_reservations
			JOIN events ON id_events = reservations_events_id
			JOIN seats_layout_events ON seats_layout_events_seats_id = reservations_seats_seats_id
			SET seats_layout_events_available = IF(seats_layout_events_available = "0", "1", "VIP_1"),
			    reservations_is_active = 0
			WHERE reservations_time < SUBDATE( CURRENT_TIMESTAMP, INTERVAL 2 HOUR) AND
			      reservations_is_active = 1 AND
			      id_seats_layout_events >= events_seats_layout_events_min AND
			      id_seats_layout_events <= events_seats_layout_events_max;
		');

		//$this->terminate();
	}
	

	public function disableOutdatedEvents()
	{
		$this->database->query('
			UPDATE events
			SET events_is_active = 0
			WHERE CONCAT(events_date, " ", events_time) <= CURRENT_TIMESTAMP AND
			      events_is_active = 1;
		');

		//$this->terminate();
	}



}