<?php

namespace App\Presenters;

use Nette,
	Nextras,
	App\Model\EventManager;


/**
 * Ticket presenter.
 */
class TicketPresenter extends BasePresenter
{
	/** @var EventManager @inject */
	public $eventManager;

	
	public function beforeRender()
	{
		parent::beforeRender();
	}


	/**
	 * Search DataGrid
	 */
	 public function createComponentSearchDataGrid()
	 {	
		$grid = new Nextras\Datagrid\Datagrid;
		$grid->addColumn('events_name', 'Name')->enableSort($grid::ORDER_DESC);
		$grid->addColumn('events_date', 'Date')->enableSort();
		$grid->addColumn('events_time', 'Time')->enableSort();
		
		$grid->setFilterFormFactory(function() {
			$form = new Nette\Forms\Container;
			$form->addText('events_name');
			$form->addText('events_date')
				->setType('date');
			$form->addText('events_time')
				->setType('time');
							
			return $form;
		});
		
		$grid->setDataSourceCallBack(function($filter, $order) {
			$filters = array();
		    foreach ($filter as $k => $v) {
		        if ($k == 'events_date' || $k == 'events_time' || is_array($v))
		            $filters[$k] = $v;
		        else
		            $filters[$k. ' LIKE ?'] = "%$v%";
		    }
			
		    $selection = $this->database->table('events')->where('events_is_active', '1')->where($filters)->select('id_events, events_name, events_date, events_time');

		    return $selection;
		}); 
		
		
		$grid->addCellsTemplate(__DIR__ .'/templates/Ticket/@cells.latte');
		
		return $grid;
	 }
	

	/**
	* Handles ticket's code validation by event.
	*/
	public function handleSearch($id = NULL, $code){		
		$val = $this->eventManager->ticketValidation($id, $code);
		if ($val !== true) {
			header('HTTP/1.1 500 Internal Server Error');
        	header('Content-Type: application/json; charset=UTF-8');
			die(json_encode(array('message' => $val, 'code' => 1337)));
		}
	}
	
	
}
