$(document).ready(function () {
  $('.delete').on('click',function(e, data){
    e.preventDefault();
    var link = $(this);
    swal({
      title: "Are you sure?",
      text: "You will not be able to recover the delaer again!",
      type: "warning",
      showCancelButton: true,
      confirmButtonColor: "#DD6B55",
      confirmButtonText: "Yes, delete!"
    },
    function (isConfirm) {
      if (isConfirm) {
      	$.ajax({
	   		url:link.attr('href'),
      		success:function(data){
	    		swal("Success!", "Dealer was deleted!", "success");
      		},
      		error:function(data){
	    		swal("Oops...", "Something went wrong.", "error");
      		}
      	});
      }
    });
  });
  
  $('.plus').on('click',function(e, data){
  	e.preventDefault();
    var link = $(this);
    swal({
      title: "Add credit",
      text: "Enter amount.",
      type: "input",
      showCancelButton: true,
      inputPlaceholder: "Credit",
      confirmButtonText: "Add!",
      closeOnConfirm: false
    },
    function (inputValue) {
      if (inputValue === "") {     
      	swal.showInputError("It seems, you have not entered value to add to the credit...");
      	return false;
      }
      if (!$.isNumeric(inputValue)) {
      	swal.showInputError("Sorry, but you have not entered a numeric value...");
      	return false;	
      }
      
      var href = link.attr('href');
      var position = href.indexOf('?')+1;
      var param = "value="+inputValue+"&";
      $.ajax({
      	url:[href.slice(0, position), param, href.slice(position)].join(''),
      	success:function(data){
	    	  swal({
            title: "Success!",
            text: "Credit was updated!",
            timer: 2000,
            type: "success" 
          },
          function (inputValue) {
            location.reload();
          });
      	},
      	error:function(data){
	    	swal("Oops...", "Something went wrong.", "error");
      	}
      });
    });
  });
  
  
  $('.minus').on('click',function(e, data){
    e.preventDefault();
    var link = $(this);
    swal({
      title: "Deduct credit",
      text: "Enter amount.",
      type: "input",
      showCancelButton: true,
      inputPlaceholder: "Credit",
      confirmButtonText: "Deduct!",
      closeOnConfirm: false
    },
    function (inputValue) {
      if (inputValue === "") {     
      	swal.showInputError("It seems, you have not entered value to deduct from the credit...");
      	return false;
      }
      if (!$.isNumeric(inputValue)) {
      	swal.showInputError("Sorry, but you have not entered a numeric value...");
      	return false;	
      }
      var href = link.attr('href');
      var position = href.indexOf('?')+1;
      var param = "value="+inputValue+"&";
      $.ajax({
      	url:[href.slice(0, position), param, href.slice(position)].join(''),
      	success:function(data){
          swal({
            title: "Success!",
            text: "Credit was updated!",
            timer: 2000,
            type: "success" 
          },
          function (inputValue) {
            location.reload();
          });
      	},
      	error:function(data){
	    	  swal("Oops...", "Something went wrong.", "error");
      	}
      });
    });
  });
});