$(document).ready(function () {
  $('.delete').on('click',function(e, data){
    e.preventDefault();
    var link = $(this);
    swal({
      title: "Are you sure?",
      text: "You will not be able to recover the event again!",
      type: "warning",
      showCancelButton: true,
      confirmButtonColor: "#DD6B55",
      confirmButtonText: "Yes, delete!"
    },
    function (isConfirm) {
      if (isConfirm) {
      	$.ajax({
	   		url:link.attr('href'),
      		success:function(data){
	    		swal("Success!", "Event was deleted!", "success");
      		},
      		error:function(data){
	    		swal("Oops...", "Something went wrong.", "error");
      		}
      	});
      }
    });
  });
  
  $('.search').on('click',function(e, data){
    e.preventDefault();
    search($(this));
  });

  
});

function search(link) {
    swal({
      title: "Ticket validation",
      text: "Enter ticket's unique code",
      type: "input",
      showCancelButton: true,
      confirmButtonText: "Validate!",
      closeOnConfirm: false
    },
    function (inputValue) {
      if (inputValue === "") {     
        swal.showInputError("It seems, you have not entered code to validate...");
        return false;
      }
      if (inputValue.length != 10) {
        swal.showInputError("Sorry, but you have not entered a 10 characters long code...");
        return false; 
      }
      
      var param = "code="+inputValue+"&";
      var href = (typeof link !== 'string') ? link.attr('href') : link;
      var position = href.indexOf('?')+1;
      var url = [href.slice(0, position), param, href.slice(position)].join('');
      console.log(url);
       
      $.ajax({
        url:url,
        success:function(data){ 
          swal({
              title: "Success!",
              text: "Ticket was marked as used!",
              type: "success",
              closeOnConfirm: false
            },
            function (isConfirm) {
              if (isConfirm) {
                setTimeout(function() { search(link); }, 100);
              }
            });
        },
        error:function(data){
          var msg = $.parseJSON(data.responseText);
          swal({
            title: "Oops...",
            text: msg.message,
            type: "error",
            closeOnConfirm: false
          },
          function (isConfirm) {
            if (isConfirm) {
              setTimeout(function() { search(link); }, 100);
            }
          });
        }    
      });
    })};